import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.event.*;

/**
  *
  * Beschreibung
  *
  * @version 1.0 vom 25.03.2011
  * @author
  */

public class Gui extends JFrame implements Runnable
 {
  // Anfang Attribute
  private JButton jButton1 = new JButton();
  private JButton jButton2 = new JButton();
  private JButton jButton3 = new JButton();
  // Ende Attribute

  public Gui(String title) {
    // Frame-Initialisierung
    super(title);
    setDefaultCloseOperation(WindowConstants.DISPOSE_ON_CLOSE);
    int frameWidth = 300;
    int frameHeight = 300;
    setSize(frameWidth, frameHeight);
    Dimension d = Toolkit.getDefaultToolkit().getScreenSize();
    int x = (d.width - getSize().width) / 2;
    int y = (d.height - getSize().height) / 2;
    setLocation(x, y);
    Container cp = getContentPane();
    cp.setLayout(null);
    // Anfang Komponenten

    jButton1.setBounds(24, 40, 219, 25);
    jButton1.setText("erzeugen und zeigen");
    jButton1.setMargin(new Insets(2, 2, 2, 2));
    jButton1.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        jButton1_ActionPerformed(evt);
      }
    });
    cp.add(jButton1);
    jButton2.setBounds(24, 96, 75, 25);
    jButton2.setText("bewegen");
    jButton2.setMargin(new Insets(2, 2, 2, 2));
    jButton2.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        jButton2_ActionPerformed(evt);
      }
    });
    jButton2.setEnabled(false);
    cp.add(jButton2);
    jButton3.setBounds(168, 96, 75, 25);
    jButton3.setText("geht noch?");
    jButton3.setMargin(new Insets(2, 2, 2, 2));
    jButton3.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        jButton3_ActionPerformed(evt);
      }
    });
    cp.add(jButton3);
    // Ende Komponenten

    setResizable(false);
    setVisible(true);
  }

  // Objekte fr den Test:
  Moebel objekt;

  // Anfang Methoden
  public void jButton1_ActionPerformed(ActionEvent evt) {
    objekt=new Schrank();
    objekt.zeige();
    jButton2.setEnabled(true);
  }

  public void jButton2_ActionPerformed(ActionEvent evt) {
    Thread th=new Thread(this);
    th.start();
  }
  
  public void run(){
    objekt.bewegenAnimieren(-200, 200);
  }


  public void jButton3_ActionPerformed(ActionEvent evt) {
    System.out.println("geht noch!");
  }

  // Ende Methoden

  public static void main(String[] args) {
    new Gui("Gui");
  }
}
